package com.ruoyi.web.stock.service;

import com.ruoyi.web.stock.domain.WarehouseStockIssue;
import com.ruoyi.web.stock.domain.vo.InventoryLineOptionVo;

import java.util.List;

public interface IWarehouseStockIssueService {
    WarehouseStockIssue selectById(Long id);
    List<WarehouseStockIssue> selectList(WarehouseStockIssue query);
    int submitIssue(WarehouseStockIssue entity, String operator);
    int removeById(Long id, String operator);
    List<InventoryLineOptionVo> listInventoryLineOptions(String orgId);
}
